# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.uploader
Enum ResumableHttpFileUploader.UploadState

    java.lang.Object
      java.lang.Enum<ResumableHttpFileUploader.UploadState>
          com.google.gdata.client.uploader.ResumableHttpFileUploader.UploadState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResumableHttpFileUploader.UploadState>

Enclosing class:
  ResumableHttpFileUploader

    public static enum ResumableHttpFileUploader.UploadState

extends java.lang.Enum<ResumableHttpFileUploader.UploadState>

Upload state associated with this file uploader. `CLIENT_ERROR` means that the uploader was unable to execute the upload properly because of a thread execution error, or if a file was manipulated between the time that the upload was started and completed.

Enum Constant Summary
`CLIENT_ERROR`
`COMPLETE`
`IN_PROGRESS`
`NOT_STARTED`
`PAUSED`

Method Summary
`static ResumableHttpFileUploader.UploadState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResumableHttpFileUploader.UploadState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPLETE

    public static final ResumableHttpFileUploader.UploadState COMPLETE

### CLIENT_ERROR

    public static final ResumableHttpFileUploader.UploadState CLIENT_ERROR

### IN_PROGRESS

    public static final ResumableHttpFileUploader.UploadState IN_PROGRESS

### NOT_STARTED

    public static final ResumableHttpFileUploader.UploadState NOT_STARTED

### PAUSED

    public static final ResumableHttpFileUploader.UploadState PAUSED

Method Detail

### values

    public static ResumableHttpFileUploader.UploadState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResumableHttpFileUploader.UploadState c : ResumableHttpFileUploader.UploadState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResumableHttpFileUploader.UploadState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null